## lua-cyrussasl 1.0.0

=== Makefile ===
# Linux (Debian Lenny)
#CFLAGS=-g -O2 -fpic -I/usr/include/lua5.1
#LDFLAGS=-O -shared -fpic -lsasl2
#LUAPATH=/usr/share/lua/5.1
#CPATH=/usr/lib/lua/5.1

# MacOS
CFLAGS=-g -Wall -O2
LDFLAGS=-bundle -undefined dynamic_lookup -lsasl2
MACOSX_VERSION=10.5
LUAPATH=/usr/local/share/lua/5.1
CPATH=/usr/local/lib/lua/5.1

#########################################################
#
# YOU SHOULD NOT HAVE TO CHANGE ANYTHING BELOW THIS LINE.
# If you do, then send me email letting me know what and 
# why!
# -- Jorj Bauer <jorj@jorj.org>
#
#########################################################

BRANCH_VERSION=.branch_version
BUILD_VERSION=.build_version
TARGET=cyrussasl.so
OBJS=cyrussasl.o luaabstract.o context.o

all: $(TARGET)

install: $(TARGET)
	cp $(TARGET) $(CPATH)

clean:
	rm -f *.o *.so *~

distclean: clean
	rm -f $(BUILD_VERSION) $(BRANCH_VERSION)

$(TARGET): version $(OBJS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS)

.c.o:
	$(CC) $(CFLAGS) -DVERSION="\"$$(cat VERSION).$$(cat $(BRANCH_VERSION))-$$(cat $(BUILD_VERSION))\"" -fno-common -c $< -o $@

# Dependencies
cyrussasl.c: context.h luaabstract.c luaabstract.h

luaabstract.c: luaabstract.h

context.c: context.h

# build_version stuff
.PHONY: version branch_version

version:
	@if ! test -f $(BUILD_VERSION); then echo 0 > $(BUILD_VERSION); fi
	@echo $$(($$(cat $(BUILD_VERSION)) + 1)) > $(BUILD_VERSION)
	@if ! test -f $(BRANCH_VERSION); then git log --pretty=oneline -1|cut -c1-8 > $(BRANCH_VERSION); fi

=== debian/changelog ===
lua-cyrussasl (1.0.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Drop explicit Pre-Depends on multiarch-support
    (Closes: #870550).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Jan 2018 21:18:12 +0100

lua-cyrussasl (1.0.0-6) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723486)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:51 +0200

lua-cyrussasl (1.0.0-5) unstable; urgency=low

  * Package moved to git
  * Transitional packages removed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 11:58:13 +0200

lua-cyrussasl (1.0.0-4) unstable; urgency=low

  * debian/compat set to 8
  * Copyright format 1.0 
  * Packages renamed according to the new Lua policy
  * Switch to dh-lua
  * Updated standards-version to 3.9.3, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 19 Apr 2012 11:51:51 +0200

lua-cyrussasl (1.0.0-3) unstable; urgency=low

  * Multi-Arch compliant (lua5.1-policy >= 32, dh >= 8.1.3)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 22:30:47 +0200

lua-cyrussasl (1.0.0-2) unstable; urgency=low

  * Rebuild against lua5.1-policy-dev >= 27 (Closes: #622457)
  * Updated standards-version to 3.9.2, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Apr 2011 20:56:40 +0200

lua-cyrussasl (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #590855)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 29 Jul 2010 16:53:07 +0200

=== debian/control ===
Source: lua-cyrussasl
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 12), libsasl2-dev
Standards-Version: 3.9.3
Homepage: http://github.com/JorjBauer/lua-cyrussasl
Vcs-Git: git://git.debian.org/git/pkg-lua/lua-cyrussasl.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-cyrussasl.git

Package: lua-cyrussasl
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Cyrus SASL library for the Lua language
 This package contains the Lua bindings for the Cyrus SASL APIs.

Package: lua-cyrussasl-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Depends: lua-cyrussasl (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Cyrus SASL development files for the Lua language
 This package contains the development files of the lua Cyrus SASL library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-cyrussasl
#
version=3
opts=uversionmangle=s/^v// \
http://githubredir.debian.net/github/JorjBauer/lua-cyrussasl/ (.*).tar.gz

## lua-cyrussasl 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,22 @@
-# Linux (Debian Lenny)
+# Linux (tested w/ Debian Lenny, probably works on many others as well)
 #CFLAGS=-g -O2 -fpic -I/usr/include/lua5.1
 #LDFLAGS=-O -shared -fpic -lsasl2
 #LUAPATH=/usr/share/lua/5.1
 #CPATH=/usr/lib/lua/5.1
 
-# MacOS
+# OpenBSD 4.8 (thanks lintech@yandex.ru)
+#CFLAGS=-g -O2 -fpic -I/usr/include
+#LDFLAGS=-O -shared -fpic -lsasl2
+#LUAPATH=/usr/share/lua/5.1
+#CPATH=/usr/lib/lua/5.1
+
+#FreeBSD 10.1 (thanks peter@flytrace.com)
+#CFLAGS=-g -O2 -fpic -I/usr/local/include/lua51 -I/usr/local/include
+#LDFLAGS=-v -O -shared -fpic -lsasl2 -L/usr/local/lib
+#LUAPATH=/usr/local/share/lua/5.1
+#CPATH=/usr/local/lib/lua/5.1
+
+# MacOS (tested with 10.6, 10.7, 10.8)
 CFLAGS=-g -Wall -O2
 LDFLAGS=-bundle -undefined dynamic_lookup -lsasl2
 MACOSX_VERSION=10.5

=== debian/changelog ===
lua-cyrussasl (1.1.0-7) unstable; urgency=medium

  * Fix FTBFS with dh-lua 29.
  * Bump the debian/watch uscan control file version to 4.
  * Bump the Debhelper compatibility version to 13.
  * Bump the standards version to 4.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 10 Jan 2026 19:04:20 +0300

lua-cyrussasl (1.1.0-6) unstable; urgency=medium

  * Team upload.
  * Drop lua5.2 support.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Bastian Germann <bage@debian.org>  Fri, 02 Jan 2026 00:02:48 +0100

lua-cyrussasl (1.1.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-lua.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 11:51:32 +0000

lua-cyrussasl (1.1.0-4) unstable; urgency=medium

  * Team-maintain the package (Closes: #995541).
  * d/watch: Scan GitHub tags.

 -- Bastian Germann <bage@debian.org>  Sat, 12 Nov 2022 17:15:04 +0100

lua-cyrussasl (1.1.0-3) unstable; urgency=medium

  * Fix the debian/watch uscan control file.
  * Bump the standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 11 Nov 2021 21:21:45 +0300

lua-cyrussasl (1.1.0-2) unstable; urgency=medium

  * Add Lua 5.4 to the list of versions to build the package.
  * Switch build dependency on debhelper to the debhelper-compat virtual
    package.
  * Bump the Debhelper compatibility version to 12.
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 08 Jul 2020 09:45:37 +0300

lua-cyrussasl (1.1.0-1) unstable; urgency=medium

  * New upstream version, compatible with Lua 5.1, 5.2 and 5.3
    (closes: #914536).
  * Acknowledge the NMU by Aurelian Jarno.
  * Bump the Debhelper compatibility version to 11.
  * Bump the standards version to 4.4.0.
  * Move the VCS headers in debian/control to Salsa.
  * Add myself to the uploaders list.
  * Fix the debian/watch uscan control file.
  * Fix format in debian/copyright.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 15 Jul 2019 18:43:34 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: lua-cyrussasl
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 12), libsasl2-dev
-Standards-Version: 3.9.3
-Homepage: http://github.com/JorjBauer/lua-cyrussasl
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua-cyrussasl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-cyrussasl.git
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders: Sergei Golovan <sgolovan@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-lua (>= 29), libsasl2-dev
+Standards-Version: 4.7.3
+Homepage: https://github.com/JorjBauer/lua-cyrussasl
+Vcs-Browser: https://salsa.debian.org/lua-team/lua-cyrussasl
+Vcs-Git: https://salsa.debian.org/lua-team/lua-cyrussasl.git
 
 Package: lua-cyrussasl
 Architecture: any

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-cyrussasl
#
version=4
opts=uversionmangle=s/^v// \
https://github.com/JorjBauer/lua-cyrussasl/tags /JorjBauer/lua-cyrussasl/archive/refs/tags/v([.\d]+).tar.gz
